Xena Z100 Loki Ethernet Traffic Generator & Analysis Platform
High-performance NRZ Ethernet testing from 10G to 100G for advanced network validation
Z100 Loki is part of Xena Networks’ Ethernet Traffic Generation & Analysis (TGA) platform, designed for high-performance testing of NRZ-based Ethernet networks. It supports data rates from 10G up to 100G, making it ideal for validating modern high-speed network infrastructure.
In the Xena ecosystem, Z100 Loki sits between Z10 Odin and higher-speed platforms like Z400 Thor, Z800 Freya, and Z1608 Edun, enabling scalable testing up to multi-terabit environments. It uses NRZ (Non-Return-to-Zero) modulation, ensuring accurate and stable Ethernet traffic generation for performance, QA, compliance, and functional testing.
- Supports NRZ Ethernet testing across 10G, 25G, 40G, 50G, and 100G speeds
- Part of the scalable Xena TGA ecosystem (Odin, Thor, Freya, Edun platforms)
- Enables accurate performance, QA, compliance, and functional testing
- Uses NRZ modulation for stable and deterministic traffic generation
- Available in 2-port and 4-port hardware configurations
- Supports deployment in both Compact (XenaCompact) and modular (XenaBay) chassis
- Includes support for MACsec testing via optional solution track (Z100qx variant)
- Enables wire-speed encrypted traffic generation and performance validation
- Supports automated testing frameworks including RFC2544, Y.1564, RFC2889, and RFC3918
- NRZ-based Ethernet traffic generation up to 100Gbps per port
- Interfaces: 2 × QSFP28 or 4 × QSFP28 configurations
- Supports multiple Ethernet modes: 10GBASE, 25GBASE, 40GBASE, 50GBASE, and 100GBASE
- Compatible with XenaCompact 1U and XenaBay 4U chassis platforms
- Supports optical (SR/LR/CR) Ethernet standards across all speeds
- Integrated software suite: XenaManager, OpenAutomation, and XenaTimeSynch
- Automation support for RFC2544, Y.1564, RFC2889, RFC3918 testing
- MACsec solution track (IEEE 802.1AE) for encrypted traffic validation (Z100qx only)
- Enables real-time performance, compliance, and security testing workflows
- Designed for scalable lab, telecom, and enterprise test environments
Z100 Loki Series
Z100q Loki
- Interfaces: 2 × QSFP28
- Supported speeds:
- 2 × 100GBASE-SR4/LR4/CR4
- 2 × 50GBASE-SR2/LR2/CR2
- 1 × 40GBASE-SR4/LR4/CR4
- 4 × 25GBASE-SR/LR/CR
- 8 × 10GBASE-SR/LR/CR
- Platform: XenaCompact and XenaBay support
Z100qx Loki
- Interfaces: 4 × QSFP28
- Supported speeds:
- 4 × 100GBASE-SR4/LR4/CR4
- 4 × 50GBASE-SR2/LR2/CR2
- 4 × 40GBASE-SR4/LR4/CR4
- 8 × 25GBASE-SR/LR/CR
- 8 × 10GBASE-SR/LR/CR
- Platform: XenaCompact and XenaBay support
- Additional capability: MACsec (IEEE 802.1AE) testing with Solution Track
- Data sheet – Download
Advanced Test, Measurement & Network Assurance Solutions